summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thibaut Notteboom2021-03-19 02:42:07 +0100
committer Willy Sudiarto Raharjo2021-03-20 05:00:44 +0100
commitb6ec0b244845aeb6ad8dc62879eca464ecf3dd9d (patch)
treee8e38a3c59f98c5feba8040b916e19c21c4c21d1
parentebf744bc3f7cbc98cfe03d7c053a33c89dadd1db (diff)
downloadslackbuilds-b6ec0b244845aeb6ad8dc62879eca464ecf3dd9d.tar.gz
network/prettyping: Added (Ping wrapper)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/prettyping/README7
-rw-r--r--network/prettyping/prettyping.SlackBuild63
-rw-r--r--network/prettyping/prettyping.info10
-rw-r--r--network/prettyping/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/network/prettyping/README b/network/prettyping/README
new file mode 100644
index 0000000000..c16bdf65fc
--- /dev/null
+++ b/network/prettyping/README
@@ -0,0 +1,7 @@
+Prettyping is a wrapper around the standard ping tool with the
+objective of making the output prettier, more colorful, more compact,
+and easier to read.
+
+Prettyping runs the standard ping in the background and parses its
+output, showing the ping responses in a graphical way at the terminal
+(by using colors and Unicode characters).
diff --git a/network/prettyping/prettyping.SlackBuild b/network/prettyping/prettyping.SlackBuild
new file mode 100644
index 0000000000..4d73201f5b
--- /dev/null
+++ b/network/prettyping/prettyping.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for prettyping
+
+# Copyright 2021 Thibaut Notteboom, Paris, FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=prettyping
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -Dm755 prettyping $PKG/usr/bin/prettyping
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/prettyping/prettyping.info b/network/prettyping/prettyping.info
new file mode 100644
index 0000000000..7aeaf8c18e
--- /dev/null
+++ b/network/prettyping/prettyping.info
@@ -0,0 +1,10 @@
+PRGNAM="prettyping"
+VERSION="1.0.1"
+HOMEPAGE="https://github.com/denilsonsa/prettyping"
+DOWNLOAD="https://github.com/denilsonsa/prettyping/archive/v1.0.1/prettyping-1.0.1.tar.gz"
+MD5SUM="264a496f40b13d81cb0dbb000b06a288"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thibaut Notteboom"
+EMAIL="thibaut.notteboom@gmail.com"
diff --git a/network/prettyping/slack-desc b/network/prettyping/slack-desc
new file mode 100644
index 0000000000..935ec3c74e
--- /dev/null
+++ b/network/prettyping/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+prettyping: prettyping (Ping wrapper making the output prettier, more colorful,
+prettyping: more compact, and easier to read)
+prettyping:
+prettyping: Prettyping is a wrapper around the standard ping tool with the
+prettyping: objective of making the output prettier, more colorful, more compact,
+prettyping: and easier to read.
+prettyping:
+prettyping: Prettyping runs the standard ping in the background and parses its
+prettyping: output, showing the ping responses in a graphical way at the terminal
+prettyping: (by using colors and Unicode characters).
+prettyping: